Name: qpopper
Version: 2.53
Release: 1C6
Copyright: BSD
Group: Networking/Daemons
Source: ftp://ftp.qualcomm.com/eudora/servers/unix/popper/qpopper2.53.tar.Z
Patch1: qpopper-2.53-pam.patch
Patch2: qpopper-2.53-cobalt.patch
Summary: POP3 daemon from Qualcomm
Packager: Ian Burrell <iburrell@leland.stanford.edu>

%description
POP3 server from QUALCOMM, with the following features: lower memory
requirements, thus faster UIDL assists POP clients which "leave mail
on server" in determining which messages are new. Implements some
other extended POP3 commands. 

This version of qpopper is shadow passwords aware, provied your libc
supports this.
%changelog
* Tue Aug 03 1999 Duncan Laurie <duncan@cobaltnet.com>
- don't pad extra byte to length of keys in pop.auth database
  because i can't do the same in perl

* Tue Aug 03 1999 Duncan Laurie <duncan@cobaltnet.com>
- disable flock (broken)

* Thu Jul 29 1999 Duncan Laurie <duncan@cobaltnet.com>
- enable APOP

* Thu Mar 15 1999 Duncan Laurie <duncan@cobaltnet.com>
- compile with --enable-servermode to eliminate
  the .pop file in users home dir
- enable extened logging for pop-before-smtp

* Sat Jan 2 1999 Sridhar Gopal <gsri@cobaltnet.com>
- import pam patch
- import cobalt patch

%prep
%setup -n qpopper2.53
%patch1 -p1
%patch2 -p1

%build
./configure --enable-apop=/etc/pop.auth \
	    --with-apopuid=admin \
	    --enable-specialauth \
	    --prefix=/usr \
	    --enable-servermode
make

%install
install -m755 -s popper /usr/sbin/in.qpopper
install -m4755 -o admin -g mail popper.8 /usr/man/man8/in.qpopper.8
install -m755 -s popauth /usr/sbin/popauth
install -m755 popauth.8 /usr/man/man8/popauth.8
install -m755 -o root -g mail -d /var/spool/mail/bulletins

chmod 1777 /var/spool/mail

%post
# Change /etc/inetd.conf to use in.qpopper
mv /etc/inetd.conf /etc/inetd.conf.noqpopper
sed -e "s/ipop3d/in.qpopper/g" /etc/inetd.conf.noqpopper &> /etc/inetd.conf 

# initialize the APOP database
echo "y" | /usr/sbin/popauth -init >/dev/null 2>&1

%files
%doc INSTALL doc/Release.Notes
%dir /var/spool/mail/bulletins
/usr/sbin/in.qpopper
%attr(4755,admin,mail) /usr/sbin/popauth
/usr/man/man8/in.qpopper.8
/usr/man/man8/popauth.8
